iPhoto doesn't work - says needs update but its the latest

Discussion in 'OS X Mavericks (10.9)' started by irock101, Oct 16, 2013.

  1. irock101 macrumors 6502

    irock101

    Joined:
    Jul 26, 2011
    #1
    I installed Mavericks but when i open iPhoto it says this version is not compatible and i need to update to the latest version. I checked for updates in the App store - nothing. I deleted iPhoto and re-installed it and got the same error message. Any idea?
     
  2. xgman macrumors 601

    xgman

    Joined:
    Aug 6, 2007
    #2
    There is a new iphoto beta developer version. Be warned that once you install that, Aperture won't work until it is also updated.
     
  3. irock101 thread starter macrumors 6502

    irock101

    Joined:
    Jul 26, 2011
    #3
    Where do i find it? In the mac dev center or should it pop up in my app store?
     
  4. MeUnix macrumors 6502

    Joined:
    Aug 21, 2013
    Location:
    San Francisco
    #4
    Before I downloaded the GM on Oct. 3, the iPhoto update was already in my App Store as an update. So it should pop up in the App Store under updates.

    I just checked in the Mav Dev Center under downloads and didn't see anything for iPhoto recently.

    - Kyle
     
  5. irock101 thread starter macrumors 6502

    irock101

    Joined:
    Jul 26, 2011
    #5
    Thanks i can't find a way to download it either.
     
  6. irock101 thread starter macrumors 6502

    irock101

    Joined:
    Jul 26, 2011

Share This Page